#==============================================================================
# package      DE_EPAGES::EbayProvider::API::Constants
# state        public
#------------------------------------------------------------------------------
# description  Some constants
#==============================================================================
package DE_EPAGES::EbayProvider::API::Constants;
use base Exporter;

use strict;
our @EXPORT = qw(
    EBAYSITERUNAMEPART
    EBAY_OAUTH_SCOPE
    EBAY_VERIFICATION_TOKEN
    EBAY_ACCOUNT_DELETION_URL
);

use constant EBAYSITERUNAMEPART => 'epages5-Site-';

# url encoded OAuth scope for fetching OAuth2 tokens and their renewal
use constant EBAY_OAUTH_SCOPE => 'https%3A%2F%2Fapi.ebay.com%2Foauth%2Fapi_scope%2Fsell.account%20https%3A%2F%2Fapi.ebay.com%2Foauth%2Fapi_scope%2Fsell.inventory';

# verification token for DeleteCustomerMarketplaceAccount
use constant EBAY_VERIFICATION_TOKEN => '61263937-0012-D6EF-0584-140A05025724';

# URL for DeleteCustomerMarketplaceAccount
use constant EBAY_ACCOUNT_DELETION_URL => 'https://ebay-redirect.epages.com/epages/Site.admin?ViewAction=DeleteCustomerMarketplaceAccount';

1;

